package nz.ac.massey.javaecs.examples;


import javafx.application.Application;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.paint.Color;
import javafx.stage.Stage;

public class JFXView extends Application {
    public static Group root;

    @Override
    public void start(Stage primaryStage) throws Exception {
        primaryStage.setTitle("JavaECS Demo 2");
        App.worldGroup = new Group();
        App.worldStage = primaryStage;
        Scene scene = new Scene(App.worldGroup, 512, 512, Color.BLACK);
        primaryStage.setScene(scene);
        primaryStage.show();
        // Notifiy that the renderer is ready
        App.rendererFinished.release();
    }
    
    public static void run(){
        launch(new String[0]);
    }
}
